spec:
  inputs:
    stage:
      description: The pipeline stage where to add the review deployment job
    registry_host:
      description: The GitLab registry host to use to pull the container image
      default: $CI_TEMPLATE_REGISTRY_HOST
    environment:
      description: The environment name where to perform the deployment
      default: review/$CI_COMMIT_REF_NAME
---
review_ec2:
  stage: $[[ inputs.stage ]]
  image: '$[[ inputs.registry_host ]]/gitlab-org/cloud-deploy/aws-ec2:latest'
  script:
    - gl-ec2 push-to-s3
    - gl-ec2 deploy-to-ec2
  environment:
    name: $[[ inputs.environment ]]
  rules:
#    - if: '$AUTO_DEVOPS_PLATFORM_TARGET != "EC2"'
#      when: never
#    - if: '$CI_KUBERNETES_ACTIVE || $KUBECONFIG'
#      when: never
#    - if: '$REVIEW_DISABLED'
#      when: never
    - if: $CI_MERGE_REQUEST_ID
    - if: $CI_COMMIT_TAG
